# Class JFacePreferences

java.lang.Object
org.eclipse.jface.preference.JFacePreferences

public final class JFacePreferences extends Object
JFacePreferences is a class used to administer the preferences used by JFace objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTIVE_HYPERLINK_COLOR`
Identifier for the Active Hyperlink Colour
`static final String`
`CONTENT_ASSIST_BACKGROUND_COLOR`
Identifier for the color used for the background of content assist popup dialogs.
`static final String`
`CONTENT_ASSIST_FOREGROUND_COLOR`
Identifier for the color used for the foreground of content assist popup dialogs.
`static final String`
`COUNTER_COLOR`
Identifier for the color used to counter informations For example in 'Foo.txt (2 matches)', the counter information is '(2 matches)'.
`static final String`
`DECORATIONS_COLOR`
Identifier for the color used to show label decorations For example in 'Foo.txt [1.16]', the decoration is '[1.16]'.
`static final String`
`ERROR_COLOR`
Identifier for the Error Color
`static final String`
`HYPERLINK_COLOR`
Identifier for the Hyperlink Color
`static final String`
`INFORMATION_BACKGROUND_COLOR`
The color used for the background of controls that provide information for reading.
`static final String`
`INFORMATION_FOREGROUND_COLOR`
The color used for text for controls that provide information for reading.
`static final String`
`QUALIFIER_COLOR`
Identifier for the color used to show extra informations in labels, as a qualified name.
`static final String`
`REVISION_NEWEST_COLOR`
The color used for the background of the newest revision when revisions are shown in a ruler.
`static final String`
`REVISION_OLDEST_COLOR`
The color used for the background of the oldest revision when revisions are shown in a ruler.

## Method Summary

Modifier and Type
Method
Description
`static IPreferenceStore`
`getPreferenceStore()`
Return the preference store for the receiver.
`static void`
`setPreferenceStore(IPreferenceStore store)`
Set the preference store for the receiver.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ERROR_COLOR

public static final String ERROR_COLOR
Identifier for the Error Color

See Also:
  - Constant Field Values

### HYPERLINK_COLOR

public static final String HYPERLINK_COLOR
Identifier for the Hyperlink Color

See Also:
  - Constant Field Values

### ACTIVE_HYPERLINK_COLOR

public static final String ACTIVE_HYPERLINK_COLOR
Identifier for the Active Hyperlink Colour

See Also:
  - Constant Field Values

### QUALIFIER_COLOR

public static final String QUALIFIER_COLOR
Identifier for the color used to show extra informations in labels, as a qualified name. For example in 'Foo.txt - myproject/bar', the qualifier is '- myproject/bar'.

Since:
  3.4
See Also:
  - Constant Field Values

### DECORATIONS_COLOR

public static final String DECORATIONS_COLOR
Identifier for the color used to show label decorations For example in 'Foo.txt [1.16]', the decoration is '[1.16]'.

Since:
  3.4
See Also:
  - Constant Field Values

### COUNTER_COLOR

public static final String COUNTER_COLOR
Identifier for the color used to counter informations For example in 'Foo.txt (2 matches)', the counter information is '(2 matches)'.

Since:
  3.4
See Also:
  - Constant Field Values

### CONTENT_ASSIST_BACKGROUND_COLOR

public static final String CONTENT_ASSIST_BACKGROUND_COLOR
Identifier for the color used for the background of content assist popup dialogs.

Since:
  3.4
See Also:
  - Constant Field Values

### CONTENT_ASSIST_FOREGROUND_COLOR

public static final String CONTENT_ASSIST_FOREGROUND_COLOR
Identifier for the color used for the foreground of content assist popup dialogs.

Since:
  3.4
See Also:
  - Constant Field Values

### INFORMATION_BACKGROUND_COLOR

public static final String INFORMATION_BACKGROUND_COLOR
The color used for the background of controls that provide information for reading. E.g. Hover boxes with information like javadoc or view parts.

Since:
  3.14
See Also:
  - Constant Field Values

### INFORMATION_FOREGROUND_COLOR

public static final String INFORMATION_FOREGROUND_COLOR
The color used for text for controls that provide information for reading. E.g. Hover boxes with information like javadoc or view parts.

Since:
  3.14
See Also:
  - Constant Field Values

### REVISION_NEWEST_COLOR

public static final String REVISION_NEWEST_COLOR
The color used for the background of the newest revision when revisions are shown in a ruler. Together with `REVISION_OLDEST_COLOR` a gradient is defined.

Since:
  3.19
See Also:
  - Constant Field Values

### REVISION_OLDEST_COLOR

public static final String REVISION_OLDEST_COLOR
The color used for the background of the oldest revision when revisions are shown in a ruler. Together with `REVISION_NEWEST_COLOR` a gradient is defined.

Since:
  3.19
See Also:
  - Constant Field Values

## Method Details

### getPreferenceStore

public static IPreferenceStore getPreferenceStore()
Return the preference store for the receiver.

Returns:
  IPreferenceStore or null

### setPreferenceStore

public static void setPreferenceStore(IPreferenceStore store)
Set the preference store for the receiver.

Parameters:
  `store` - IPreferenceStore